Bug 827693 - [abrt] gedit-3.4.2-1.fc17: Process /usr/bin/gedit was killed by signal 11 (SIGSEGV)
[abrt] gedit-3.4.2-1.fc17: Process /usr/bin/gedit was killed by signal 11 (SI...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:e651c9a05debb1997c3b19227f1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-02 07:13 EDT by fdiegz
Modified: 2013-08-01 06:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 06:10:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (21.82 KB, text/plain)
2012-06-02 07:14 EDT, fdiegz
no flags Details
File: dso_list (13.18 KB, text/plain)
2012-06-02 07:14 EDT, fdiegz
no flags Details
File: build_ids (4.12 KB, text/plain)
2012-06-02 07:14 EDT, fdiegz
no flags Details
File: maps (54.40 KB, text/plain)
2012-06-02 07:14 EDT, fdiegz
no flags Details

  None (edit)
Description fdiegz 2012-06-02 07:13:59 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        gedit
crash_function: _gdk_x11_display_send_selection_notify
executable:     /usr/bin/gedit
kernel:         3.3.7-1.fc17.x86_64
pid:            14496
time:           sáb 02 jun 2012 12:32:43 CEST
uid:            1000

backtrace:      Text file, 22342 bytes
build_ids:      Text file, 4223 bytes
dso_list:       Text file, 13498 bytes
maps:           Text file, 55704 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/fabio/3

core_backtrace:
:8b33feb27b2125997520fdd21c90c42a65e438f1 0x5050b - libgdk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x1e9a86 - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x17adcf - libgtk-3.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf943 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x27d88 g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x2a2d0e - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x17aaf6 gtk_main_do_event libgtk-3.so.0 -
:8b33feb27b2125997520fdd21c90c42a65e438f1 0x48e62 - libgdk-3.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47e12 g_main_loop_run libglib-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x179d65 gtk_main libgtk-3.so.0 -
:7aa01bce2603464d5b0d94a1ccf9aebc89e79bfc 0x27bdd main [exe] -

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=3
:HOSTNAME=fdiegz.grafenonet.com
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/fabio/keyring-gljrfd
:IMSETTINGS_MODULE=none
:USER=fabio
:USERNAME=fabio
:MAIL=/var/spool/mail/fabio
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/fabio/.local/bin:/home/fabio/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/fabio
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1312
:LANG=es_ES.utf8
:GDM_LANG=es_ES.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/fabio
:SHLVL=1
:LOGNAME=fabio
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-cb9B4qNYxM,guid=fbbe984521ad9b253ca56e0c0000005f
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/fabio
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-fabio-ClEQgs/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1316,unix/unix:/tmp/.ICE-unix/1316
:SSH_AUTH_SOCK=/run/user/fabio/keyring-gljrfd/ssh
:GPG_AGENT_INFO=/run/user/fabio/keyring-gljrfd/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/gedit.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=14496
:DESKTOP_STARTUP_ID=gnome-shell-1508-fdiegz.grafenonet.com-gedit-9_TIME5117664

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 30293                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       30293                30293                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/fabio/.xsession-errors
:pos:	15367
:flags:	0102002
:2:/home/fabio/.xsession-errors
:pos:	15367
:flags:	0102002
:3:socket:[1009148]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[1014100]
:pos:	0
:flags:	02004002
:6:socket:[1014101]
:pos:	0
:flags:	02000002
:7:socket:[1009167]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:/home/fabio/.local/share/gvfs-metadata/root
:pos:	0
:flags:	0100000
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:anon_inode:inotify
:pos:	0
:flags:	02004000
:12:socket:[1014190]
:pos:	0
:flags:	02004002
:13:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:14:/home/fabio/.local/share/gvfs-metadata/root-78a9b15c.log
:pos:	0
:flags:	0100000

var_log_messages:
:Jun  2 10:26:25 fdiegz yum[6590]: Updated: 2:gedit-3.4.2-1.fc17.x86_64
:Jun  2 12:32:43 fdiegz kernel: [ 9924.279864] gedit[14496]: segfault at 18 ip 0000003e0c85050b sp 00007fffdea8a1e0 error 4 in libgdk-3.so.0.400.3[3e0c800000+78000]
:Jun  2 12:32:45 fdiegz abrt[17496]: Saved core dump of pid 14496 (/usr/bin/gedit) to /var/spool/abrt/ccpp-2012-06-02-12:32:43-14496 (134389760 bytes)

xsession_errors:
:** (gedit:14496): CRITICAL **: gedit_spell_checker_language_to_key: assertion `lang != NULL' failed
:** (gedit:14496): CRITICAL **: gedit_spell_checker_language_to_key: assertion `lang != NULL' failed
:(gedit:14496): GtkSourceView-CRITICAL **: El resaltado de una linea llevó mucho tiempo, se desactivará el resaltado de sintaxis
:(gedit:14496): Gtk-CRITICAL **: gtk_widget_event: assertion `WIDGET_REALIZED_FOR_EVENT (widget, event)' failed
:(gedit:14496): Gtk-CRITICAL **: gtk_widget_event: assertion `WIDGET_REALIZED_FOR_EVENT (widget, event)' failed
:(gedit:14496): Gtk-CRITICAL **: gtk_widget_event: assertion `WIDGET_REALIZED_FOR_EVENT (widget, event)' failed
:** (gedit:14496): WARNING **: Stage already contains this actor
:(gedit:14496): Gtk-CRITICAL **: gtk_widget_event: assertion `WIDGET_REALIZED_FOR_EVENT (widget, event)' failed
:** (gedit:14496): WARNING **: Stage already contains this actor
:** (gedit:14496): WARNING **: Stage already contains this actor
:(gedit:14496): Gtk-CRITICAL **: gtk_text_buffer_delete_mark: assertion `GTK_IS_TEXT_MARK (mark)' failed
:** (gedit:14496): WARNING **: Stage already contains this actor
:(gedit:14496): Gtk-CRITICAL **: gtk_text_buffer_delete_mark: assertion `GTK_IS_TEXT_MARK (mark)' failed
:** (gedit:14496): WARNING **: Stage already contains this actor
:(gedit:14496): Gtk-CRITICAL **: gtk_text_buffer_delete_mark: assertion `GTK_IS_TEXT_MARK (mark)' failed
:** (gedit:14496): WARNING **: Stage already contains this actor
:(gedit:14496): Gtk-CRITICAL **: gtk_text_buffer_delete_mark: assertion `GTK_IS_TEXT_MARK (mark)' failed
:** (gedit:14496): WARNING **: Stage already contains this actor
:(gedit:14496): Gtk-CRITICAL **: gtk_text_buffer_delete_mark: assertion `GTK_IS_TEXT_MARK (mark)' failed
:** (gedit:14496): WARNING **: Stage already contains this actor
:(gedit:14496): Gtk-CRITICAL **: gtk_text_buffer_delete_mark: assertion `GTK_IS_TEXT_MARK (mark)' failed
:** (gedit:14496): WARNING **: Stage already contains this actor
:(gedit:14496): Gtk-CRITICAL **: gtk_text_buffer_delete_mark: assertion `GTK_IS_TEXT_MARK (mark)' failed
:** (gedit:14496): WARNING **: Stage already contains this actor
:(gedit:14496): Gtk-CRITICAL **: gtk_text_buffer_delete_mark: assertion `GTK_IS_TEXT_MARK (mark)' failed
:(gedit:14496): GLib-GObject-CRITICAL **: g_object_ref: assertion `G_IS_OBJECT (object)' failed
:(gedit:17532): GtkSourceView-CRITICAL **: El resaltado de una linea llevó mucho tiempo, se desactivará el resaltado de sintaxis
:** (gedit:17532): CRITICAL **: gedit_spell_checker_language_to_key: assertion `lang != NULL' failed
:(gedit:17532): GtkSourceView-CRITICAL **: El resaltado de una linea llevó mucho tiempo, se desactivará el resaltado de sintaxis
:(gedit:17532): Gtk-CRITICAL **: gtk_widget_event: assertion `WIDGET_REALIZED_FOR_EVENT (widget, event)' failed
:(gedit:17532): Gtk-CRITICAL **: gtk_widget_event: assertion `WIDGET_REALIZED_FOR_EVENT (widget, event)' failed
:** (gedit:17532): CRITICAL **: gedit_spell_checker_language_to_key: assertion `lang != NULL' failed
:(gedit:17532): GtkSourceView-CRITICAL **: El resaltado de una linea llevó mucho tiempo, se desactivará el resaltado de sintaxis
Comment 1 fdiegz 2012-06-02 07:14:05 EDT
Created attachment 588646 [details]
File: backtrace
Comment 2 fdiegz 2012-06-02 07:14:07 EDT
Created attachment 588647 [details]
File: dso_list
Comment 3 fdiegz 2012-06-02 07:14:09 EDT
Created attachment 588648 [details]
File: build_ids
Comment 4 fdiegz 2012-06-02 07:14:12 EDT
Created attachment 588649 [details]
File: maps
Comment 5 Fedora End Of Life 2013-07-03 23:06:25 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 06:10:43 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.